/*
 * $Id: VKCSystemStatistics.java,v 1.2 2004/07/19 14:42:39 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCSystemStatistics.java,v $
 * Revision 1.2  2004/07/19 14:42:39  jonyp
 * added versioned document statistics
 *
 * Revision 1.1  2004/07/06 14:39:02  jonyp
 * preliminary
 *
 * Revision 1.4  2004/07/05 07:42:00  jonyp
 * *** empty log message ***
 *
 * Revision 1.3  2004/06/27 17:29:46  marbobo
 * + Quellcode maintenance
 *
 * Revision 1.2  2004/06/16 11:06:09  jonyp
 * preliminary
 *
 * Revision 1.1  2004/06/08 12:35:04  jonyp
 * first strike
 *
 *
 */

package vkc.statistics;

import java.io.Serializable;
import java.util.GregorianCalendar;

public class VKCSystemStatistics implements Serializable
{
    private VKCDocumentStatistics docStat = null;
	private VKCDocumentStatistics versionedDocStat = null;
	private VKCCategoryStatistics catStat = null;
	private VKCUserStatistics userStat = null;
	
    private GregorianCalendar from;
    private GregorianCalendar until; 
    
    // wieviel user haben pro zeiteinheit wieviel dokumente/amount erstellt
    
    
	public VKCSystemStatistics() {
	}
   

	public VKCCategoryStatistics getCatStat() {
		return catStat;
	}

	public VKCDocumentStatistics getDocStat() {
		return docStat;
	}

	public GregorianCalendar getFrom() {
		return from;
	}

	public GregorianCalendar getUntil() {
		return until;
	}

	public VKCUserStatistics getUserStat() {
		return userStat;
	}

	public void setCatStat(VKCCategoryStatistics statistics) {
		catStat = statistics;
	}

	public void setDocStat(VKCDocumentStatistics statistics) {
		docStat = statistics;
	}

	public void setFrom(GregorianCalendar calendar) {
		from = calendar;
	}

	public void setUntil(GregorianCalendar calendar) {
		until = calendar;
	}

	public void setUserStat(VKCUserStatistics statistics) {
		userStat = statistics;
	}

	public VKCDocumentStatistics getVersionedDocStat() {
		return versionedDocStat;
	}

	public void setVersionedDocStat(VKCDocumentStatistics statistics) {
		versionedDocStat = statistics;
	}

}